%define major	2
%define majorefs 1
%define lib_name %mklibname %{name} %{major}
%define lib_efs  %mklibname efs %{majorefs}


# define to regenerate configure script
%define regenerate_configure 0
%ifarch x86_64 mips
# So that we get updated libtool.m4 for those architectures
%define regenerate_configure 1
%endif

# define to use Xvfb
%define build_xvfb 1

# Allow --with[out] <feature> at rpm command line build
%{?_without_XVFB: %{expand: %%define build_xvfb 0}}
%{?_with_XVFB: %{expand: %%define build_xvfb 1}}

Name: bonobo
Summary: Library for compound documents in GNOME
Version: 1.0.22
Release: 4mdk
License: GPL
Group: System/Libraries
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 1.0.20-4mdk don't add -L/usr/lib to ldflags
Patch0: bonobo-1.0.20-libdir.patch.bz2
Url: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

# dependency pulled by libraries dependency
Requires: oaf >= 0.6.7
Requires: ORBit >= 0.5.12
Requires: gnome-libs >= 1.2.7
Requires: libxml >= 1.8.15
Requires: gdk-pixbuf >= 0.6.0
Requires: e2fsprogs
BuildRequires:	freetype2-devel
BuildRequires:	gnome-print-devel >= 0.16
BuildRequires:	liboaf-devel >= 0.6.7
BuildRequires:	popt-devel
BuildRequires:	sgml-tools
BuildRequires:	texinfo
BuildRequires:	xpm-devel
%if %{regenerate_configure}
BuildRequires:	gnome-common
%endif
%if %{build_xvfb}
BuildRequires:  XFree86-Xvfb
%endif

%description
Bonobo is a library that provides the necessary framework for GNOME
applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.

%package -n %{lib_name}
Summary:        Libraries for Bonobo
Group:          System/Libraries

%description -n %{lib_name}
Bonobo is a library that provides the necessary framework for GNOME
applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.

This package provides libraries to use Bonobo.

%package -n %{lib_efs}
Summary:        Embedded File System library
Group:          System/Libraries

%description -n %{lib_efs}
This is a first approach to implement a file-system-inside-a-file. The
library is called libefs (EFS = Embedded File System).

This package is part of Bonobo.

%package -n %{lib_name}-devel
Provides:		lib%{name}-devel = %{version}-%{release}
Summary:		Libraries and include files for the Bonobo document model
Group:			Development/C
Requires:		%{name} = %{version}-%{release}
Requires:		%{lib_name} = %{version}-%{release}
Requires:		gnome-print-devel
Requires:		oaf-devel
Requires:		gnome-libs-devel
Obsoletes:		bonobo-devel
Provides:		bonobo-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package provides the necessary development libraries and include
files to allow you to develop programs using the Bonobo document model.

%package -n %{lib_efs}-devel
Provides:		libefs-devel = %{version}-%{release}
Summary:        Embedded File System library
Group:          Development/C
Requires:		%{lib_efs} = %{version}-%{release}

%description -n %{lib_efs}-devel
This is a first approach to implement a file-system-inside-a-file. The
library is called libefs (EFS = Embedded File System).


%prep
%setup -q
%patch0 -p1 -b .libdir
%if %{regenerate_configure}
aclocal -I /usr/share/aclocal/gnome-macros
%endif

#needed by patch0 and regenerate_configure
autoconf

%build
%configure2_5x

# parallel build is broken, don't use macro
make

%if %{build_xvfb}
XDISPLAY=$(i=0; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
/usr/X11R6/bin/Xvfb :$XDISPLAY >& /dev/null &
DISPLAY=:$XDISPLAY make check
kill $(cat /tmp/.X$XDISPLAY-lock)
%else
make check
%endif

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%{find_lang} %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %{lib_name}
  
%postun -p /sbin/ldconfig -n %{lib_name}

%post -p /sbin/ldconfig -n %{lib_efs}
  
%postun -p /sbin/ldconfig -n %{lib_efs}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{_bindir}/bonobo*
%{_bindir}/echo-client
%{_bindir}/efstool
%{_bindir}/gshell
%{_bindir}/moniker*
%{_bindir}/sample*
%dir %{_libdir}/bonobo
%dir %{_libdir}/bonobo/plugin
%dir %{_libdir}/bonobo/monikers
%{_libdir}/bonobo/plugin/*.so*
%{_libdir}/bonobo/monikers/*.so*
%{_datadir}/gnome/%{name}/docs/*
%{_datadir}/gnome/ui/*
%{_datadir}/oaf/*
%{_datadir}/idl/*.idl

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/libbonobo*.so.*

%files -n %{lib_efs}
%defattr(-, root, root)
%{_libdir}/libefs*.so.*

%files -n %{lib_efs}-devel
%defattr(-, root, root)
%{_bindir}/libefs-config
%{_libdir}/libefs*.so
%{_libdir}/libefs*.la
%{_libdir}/libefs*.a
%{_libdir}/bonobo/plugin/*.a
%{_libdir}/bonobo/plugin/*.la
%{_datadir}/libefs
%{_libdir}/pkgconfig/*
%{_includedir}/efs*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libbonobo*.so
%{_libdir}/*Conf.sh
%{_libdir}/libbonobo*.a
%{_libdir}/libbonobo*.la
%{_libdir}/bonobo/monikers/*.la
%{_libdir}/bonobo/monikers/*.a

%{_includedir}/gnome-1.0/*
%{_datadir}/bonobo

%changelog
* Wed Aug 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.22-4mdk
- fix deps

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.0.22-3mdk
- mklibnamification

* Thu Dec 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.22-2mdk
- Fix gnome-print dependency

* Mon Dec  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.22-1mdk
- Release 1.0.22

* Thu Nov  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.21-1mdk
- Release 1.0.21

* Thu Aug  1 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.20-4mdk
- Patch 0: don't add -L/usr/lib to ldflags

* Wed Jul 17 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.20-3mdk
- Conditionalize build with Xvfb. i.e. don't care if you know you are
  already running an X server.

* Wed May 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.20-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Fri Apr 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.20-1mdk
- Release 1.0.20
- use make check (and use Xvfb is needed)
- Remove patches 0 & 1 (merged upstream)

* Fri Mar  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.19-3mdk
- Parallel compilation is broken
- Patch0 (CVS): fix factory process leak when factory creation fails
- Patch1 (CVS): fix UI customization bug

* Thu Feb 14 2002 Pablo Saratxaga <fcrozat@mandrakesoft.com> 1.0.19-2mdk
- updated Basque translation

* Wed Jan 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.19-1mdk
- Release 1.0.19
- Remove patch0 (merged upstream)

* Tue Jan 15 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0.18-2mdk
- BuildRequires

* Fri Jan 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.18-1mdk
- Release 1.0.18
- Remove patch0 (merged usptream)
- Patch0: fix use of DESTDIR variable

* Fri Dec 14 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.17-2mdk
- %%{_includedir}/gnome-1.0 --> %%{_includedir}/gnome-1.0/*

* Thu Nov 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.17-1mdk
- Release 1.0.17
- Add more fixes to patch0

* Wed Nov 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.16-1mdk
- Release 1.0.16
- Patch0: fix some warnings

* Wed Nov  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.15-1mdk
- Release 1.0.15

* Mon Nov  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.14-1mdk
- Release 1.0.14
- Disable parallel compilation

* Mon Oct 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.13-1mdk
- Release 1.0.13
- Remove patch0 (merged upstream)
- Upgrade version dependency

* Fri Oct 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.12-2mdk
- Recompiled against latest gdk-pixbuf
- Fix devel dependency

* Thu Oct 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.12-1mdk
- Release 1.0.12
- Patch0: fix compilation with latest ORBit (GNOME CVS)

* Mon Oct  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-1mdk
- Release 1.0.9
- Parallel compilation is back

* Thu Aug 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.8-2mdk
- Disable parallel compilation 
- Upgrade dependency to libxml 1.8.15

* Tue Aug 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.8-1mdk
- Release 1.0.8
- Parallel compilation is back

* Sat Jul 07 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.7-2mdk
- BuildRequires:	db1-devel
- BuildRequires:	gnome-vfs-devel
- Remove BuildRequires:	audiofile-devel
- Remove BuildRequires:	esound-devel
- Remove BuildRequires:	libglib1.2-devel
- Remove BuildRequires:	libimlib-devel
- Remove BuildRequires:	liboaf0-devel
- Remove BuildRequires:	ORBit-devel
- Remove BuildRequires:	XFree86-devel
- Remove BuildRequires:	zlib-devel

* Fri Jul  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-1mdk
- Release 1.0.7

* Wed Jun 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-1mdk
- Release 1.0.5
- Remove patch0 (merged upstream)

* Fri Jun  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-2mdk
- Patch0: fix libefs linking (from GNOME CVS)
- Fix dependencies

* Tue May 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-1mdk
- Release 1.0.4

* Wed May  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Release 1.0.3

* Fri Apr 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2
- Remove .keys files
- No longer touch idl files 

* Tue Apr 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.37-2mdk
- Recompiled with latest glib/gtk/gnome-print

* Thu Feb 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.37-1mdk
- Release 0.37

* Fri Feb  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.36-1mdk
- Release 0.36

* Wed Feb  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.35-1mdk
- Release 0.35
- Remove unecessary scripts

* Tue Jan 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.33-2mdk
- Recompiled with oaf 0.6.2

* Fri Jan 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.33-1mdk
- Release 0.33
- No longer remove oaf file for moniker (corrected)

* Tue Jan  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.31-2mdk
- Correctly generate oaf file for moniker

* Fri Dec 29 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.31-1mdk
- Release 0.31

* Thu Dec 14 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.30-1mdk
- Release 0.30

* Mon Dec  4 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.28-2mdk
- Correct dependencies (and make dadou happy)

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.28-1mdk
- Release 0.28

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.23-5mdk
- Put libefs in separate package

* Mon Nov 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.23-4mdk
- Really remove lib from main package !

* Thu Nov 16 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.23-3mdk
- Add missing header (Thanks Dadou and Renaud)

* Thu Nov 16 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.23-2mdk
- Split lib in separate package
- Merge spec from Renaud 

* Thu Oct 26 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.23-1mdk
- version 0.23 (for evolution 0.6) (0.25 not compatible)

* Mon Oct 16 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.22-1mdk
- new version 0.22
- patch to generate *-ui.xml.h
- added requirements on e2fsprogs for bonobrowser
- updated requirement on ORBit
- updated bin files list

* Fri Oct 13 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.20-1mdk
- new version 0.20

* Wed Sep 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.18-3mdk
- add gnome-print to Requires/BuildRequires (Thanks Pedro Rosa)

* Thu Aug 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.18-2mdk
- add some components to make evolution happy

* Mon Aug 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.18-1mdk
- rebuild with new and shiny version.

* Fri Aug 11 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-6mdk
- Remove modification of ld.so.conf (thanks Dadou)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.16-5mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-4mdk
- Merge from helix spec

* Mon Jul 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-3mdk
- Remove previous patch on bonoboConf.sh (not good at all)

* Mon Jul 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-2mdk
- Rebuild to remove dependency on alsa
- clean spec

* Thu Jul 27 2000 dam's <damien@mandrakesoft.com> 0.16-1mdk
- updated to 0.16.

* Wed Jul 26 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15-3mdk
- BM + more macros
- compile with oaf, add more dependencies

* Mon Jul 17 2000 dam's <damien@mandrakesoft.com> 0.15-2mdk
- chmouelization.

* Mon Jul 17 2000 dam's <damien@mandrakesoft.com> 0.15-1mdk
- changed patch bonoboConf.sh to apply on configure file.
- changed patch application.
  Stefan van der Eijk <s.vandereijk@chello.nl> :
- updated to 0.15
- modified bonoboConf.sh file --> location of bonobo includefiles
- added links bonobo.h --> Bonobo.h
- added --enable-oaf=no configure option (it didn't want to build without it
- removed MYARCH_FLAGS="--host=alpha-redhat-linux" it now works out of the
  box on an alpha
- used macros for configure
- new patch : bonoboConf.sh.patch

* Sat Apr 15 2000 DindinX <odin@mandrakesoft.com> 0.9-1mdk
- New version (previous one was really too old and of no use).

* Thu Apr 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-4mdk
- new groups
- dirty fix to install the ./idl subdir

* Wed Mar  8 2000 Pixel <pixel@mandrakesoft.com> 0.5-3mdk
- add prereq grep

* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Sat Oct 30 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.5

* Tue Aug 05 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- adapted to Mandrake
- included translations

* Sun Aug 1 1999 Gregory McLean <gregm@comstar.net>
- Some updates. sysconfdir stuff, quiet down the prep/configure stage.

* Sat May 1 1999 Erik Walthinsen <omega@cse.ogi.edu>
- created spec file
